OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | List of all members
AccessorEval< UnknownCodec, ValueType > Struct Template Reference

Partial specialization when Codec is not known at compile-time to use the supplied functor instead. More...

`#include <openvdb/points/AttributeArray.h>`

## Public Types
using | GetterPtr = ValueType(*)(const AttributeArray *array, const Index n)
using | SetterPtr = void(*)(AttributeArray *array, const Index n, const ValueType &value)

## Static Public Member Functions
static ValueType | get (GetterPtr functor, const AttributeArray *array, const Index n)
| Getter that calls the supplied functor.
static void | set (SetterPtr functor, AttributeArray *array, const Index n, const ValueType &value)
| Setter that calls the supplied functor.

## Detailed Description

template<typename ValueType>
struct openvdb::v11_0::points::AccessorEval< UnknownCodec, ValueType >

Partial specialization when Codec is not known at compile-time to use the supplied functor instead.

## Member Typedef Documentation

## ◆ GetterPtr

template<typename ValueType >

using GetterPtr = ValueType (*)(const AttributeArray* array, const Index n)

## ◆ SetterPtr

template<typename ValueType >

using SetterPtr = void (*)(AttributeArray* array, const Index n, const ValueType& value)

## Member Function Documentation

## ◆ get()

template<typename ValueType >

static ValueType get | ( | GetterPtr | functor,
|  | const AttributeArray * | array,
|  | const Index | n
| ) |  |
| inline static

Getter that calls the supplied functor.

## ◆ set()

template<typename ValueType >

static void set | ( | SetterPtr | functor,
|  | AttributeArray * | array,
|  | const Index | n,
|  | const ValueType & | value
| ) |  |
| inline static

Setter that calls the supplied functor.